# xarray.DataArray.fillna

`DataArray.``fillna`(value: Any) → xarray.core.dataarray.DataArray

  Fill missing values in this object.

  This operation follows the normal broadcasting and alignment rules that xarray uses for binary arithmetic, except the result is aligned to this object (`join='left'`) instead of aligned to the intersection of index coordinates (`join='inner'`).

  Parameters: | value (scalar, ndarray or DataArray) – Used to fill all matching missing values in this array. If the argument is a DataArray, it is first aligned with (reindexed to) this array.
  Returns: |
  Return type: | DataArray